#!/bin/csh
# !!! instantiate <engine> with [bdiese cdiese odiese] then remove this line !!!
setenv ENGINE <engine>
# !!! instantiate <major> and <minor> numbers of the current DIESE release
#     then remove this comment !!!
setenv MAJOR <major>
setenv MINOR <minor>
# !!! instantiate <appli> then remove this line before saving !!!
setenv APPLI_NAME <appli>

# check the local shell
#----------------------
setenv myshell sh
echo $SHELL | grep csh > tmpInstallAPPLI
if(-s tmpInstallAPPLI) then
  setenv myshell csh
endif
rm -f tmpInstallAPPLI
if($myshell == sh) then
  echo "||| "
  echo "||| Please run 'install_APPLI_src.sh' instead."
  echo "||| "
  exit
endif

setenv DIESE_HD "$DIESE_TOOLS"
setenv KBS_HD "$DIESE_KBS"
setenv SOURCE $PWD

# message on hold
#----------------
echo "||| "
echo "||| Installation of $APPLI_NAME""_D$MAJOR.$MINOR is in progress ..."
echo "||| "

# copy cygwin1.dll if present
#----------------------------
cd "$DIESE_HD"
if(-e "$SOURCE"/cygwin1.dll) then
  /bin/cp -i "$SOURCE"/cygwin1.dll .
endif

#create the final release destination
#------------------------------------
cd "$KBS_HD"
mkdir -p "KBS"
cd KBS
mkdir -p "$ENGINE"
cd "$ENGINE"
setenv DEST "$APPLI_NAME"_D"$MAJOR.$MINOR"
mkdir -p "$DEST"

# move READ_ME
#-------------
cd "$DEST"
/bin/cp "$SOURCE"/READ_ME .

# create C++ directories in the final destination
#--------------------------------------------
mkdir -p exec
mkdir -p source
mkdir -p include
mkdir -p out

# move KBS to its final destination
#--------------------------------------------
setenv SRC_CLS "$SOURCE"/Cls
rm -f -r Cls
/bin/cp -r "$SRC_CLS" .

setenv SRC_FCT "$SOURCE"/Fct
rm -f -r Fct
/bin/cp -r "$SRC_FCT" .

setenv SRC_LIV "$SOURCE"/Liv
rm -f -r Liv
/bin/cp -r "$SRC_LIV" .

setenv SRC_VAR "$SOURCE"/Var
rm -f -r Var
/bin/cp -r "$SRC_VAR" .

setenv SRC_IN "$SOURCE"/in
if (-e "$SRC_IN") then
  rm -f -r in
  /bin/cp -r "$SRC_IN" .
endif

setenv SRC_OUT "$SOURCE"/out
if (-e "$SRC_OUT") then
  rm -f -r out
  /bin/cp -r "$SRC_OUT" .
endif

setenv SRC_DOC "$SOURCE"/doc
if (-e "$SRC_DOC") then
  rm -f -r doc
  /bin/cp -r "$SRC_DOC" .
endif

# back to release for cleaning
#-----------------------------
cd "$SOURCE"

# removing release archive
#-------------------------
echo "||| "
echo "||| Installation done ..."
echo "||| "
echo "||| Do you want to delete the release directory content (Y/N)?"
echo "||| ($SOURCE)"
echo "||| (excepted the currently running install_APPLI_src.csh command"
echo "||| and the READ_ME file to be deleted later)"
echo "||| "
setenv delsource $<
if(($delsource == Y) || ($delsource == y)) then
  if(-e "$SOURCE"/cygwin1.dll) then
    rm -f "$SOURCE"/cygwin1.dll
  endif
  rm -f "$SOURCE"/install_APPLI_src.sh
  rm -f -r "$SOURCE"/Cls
  rm -f -r "$SOURCE"/Fct
  rm -f -r "$SOURCE"/Var
  rm -f -r "$SOURCE"/Liv
  rm -f -r "$SOURCE"/in
  rm -f -r "$SOURCE"/out
  rm -f -r "$SOURCE"/doc
endif
echo "||| "
echo "||| Do you want to delete the release archive (Y/N)?"
echo "||| ($SOURCE.tar)"
echo "||| "
setenv delsource $<
if(($delsource == Y) || ($delsource == y)) then
 rm -f "$SOURCE".tar
endif

# up to final destination
#--------------------------
cd ..

echo "||| "
echo "||| Installation of $KBS_HD/KBS/$ENGINE/$DEST done."
echo "||| Type any character to exit."
echo "||| "
setenv tmp $<
