#!/bin/csh

if(("$1" == '') || ("$2" == '')) then
echo ""
echo "usage   : makeRelease_APPLI_lib.csh <repertoire> <appli>"
echo ""
echo "exemple : makeRelease_APPLI_lib.csh  cdiese  Moderato_v4"
echo "ou"
echo "exemple : makeRelease_APPLI_lib.csh  cdiese/MODERATO  Moderato_v4"
echo "    --> : <diese_kbs>/releases/lib/Linux/Moderato_v4_libD3.25"
echo "              si sous Linux          et DIESE_MAJOR = 3 DIESE_MINOR = 25"
echo "    --> : <diese_kbs>/releases/lib/Cygwin/Moderato_v4_libD3.25"
echo "              si sous Windows/Cygwin et DIESE_MAJOR = 3 DIESE_MINOR = 25"
echo ""
exit
endif

setenv ici $PWD
setenv RELEASE "$DIESE_KBS"/releases
setenv APPLI_DIR "$DIESE_KBS"/KBS/$1 
setenv RELEASE_NAME $2_libD$DIESE_MAJOR.$DIESE_MINOR

echo "assemblage $RELEASE_NAME ($OSNAME) en cours ..."
cd $RELEASE/lib/$OSNAME
echo "    suppression $RELEASE/lib/$OSNAME/$RELEASE_NAME"
rm -f $RELEASE_NAME.tar.gz
mkdir -p $RELEASE_NAME
cd $RELEASE_NAME
#==================== appli =====================
mkdir -p exec
cd exec
#---------------- exec APPLI --------------
echo "    copie simulateurs executables (std et Ihm)"
/bin/cp -f $APPLI_DIR/$2/exec/main* .
cd ..

if($OSNAME == Cygwin) then
# --------- cygwin1.dll ---------------
  echo "    copie cygwin1.dll"
  /bin/cp -f "$DIESE_TOOLS"/libDIESE/cygwin1.dll .
# -------- librairie dynamique APPLI --------
  echo "    copie librairies dynamiques des simulateurs"
  echo "    copie libKBS/lib*_$2*.$DIESE_MAJOR.$DIESE_MINOR.dll"
  mkdir -p lib
  cd lib
  /bin/cp -f "$DIESE_KBS"/libKBS/lib_$2*.$DIESE_MAJOR.$DIESE_MINOR.dll .
  /bin/cp -f "$DIESE_KBS"/libKBS/libIhm_$2*.$DIESE_MAJOR.$DIESE_MINOR.dll .

else
# -------- librairie dynamique APPLI--------
  echo "    copie librairies dynamiques des simulateurs"
  echo "    copie libDIESE/lib*_$2*.so.$DIESE_MAJOR.$DIESE_MINOR"
  mkdir -p lib
  cd lib
  /bin/cp -f "$DIESE_KBS"/libKBS/lib_$2*.so.$DIESE_MAJOR.$DIESE_MINOR .
  /bin/cp -f "$DIESE_KBS"/libKBS/libIhm_$2*.so.$DIESE_MAJOR.$DIESE_MINOR .
endif
cd ..
#--------------------- Liv -----------------------
echo "    copie fichiers de livraison (Liv)"
/bin/cp -r -f $APPLI_DIR/$2/Liv .
#--------------------- in ------------------------
if(-e $APPLI_DIR/$2/in) then
  echo "    copie fichiers de donnes (in)"
  /bin/cp -r -f $APPLI_DIR/$2/in .
endif
#--------------------- out -----------------------
if(-e $APPLI_DIR/$2/out) then
  echo "    copie fichiers de rsultats (out)"
  /bin/cp -r -f $APPLI_DIR/$2/out .
endif
#------------ doc/html ---------------
if(-e $APPLI_DIR/$2/doc) then
  echo "    copie doc"
  /bin/cp -f -r $APPLI_DIR/$2/doc .
  /bin/rm -f doc/READ_ME_tmp*
endif
#===================== READ_ME =====================
echo "    copie READ_ME_APPLI_lib"
/bin/cp -f $ici/../READ_ME_APPLI_lib READ_ME
emacs READ_ME
rm -f READ_ME~
#=================== install.sh ====================
echo "    copie install_APPLI_lib.sh"
/bin/cp -f $ici/../install_APPLI_lib.sh .
emacs install_APPLI_lib.sh
rm -f install_APPLI_lib.sh~
/bin/cp -f $ici/../install_APPLI_lib.csh .
emacs install_APPLI_lib.csh
rm -f install_APPLI_lib.csh~

#==== archive globale dans releases/lib<os> ====
echo "compression $RELEASE_NAME ($OSNAME) en cours ..."
cd ..
tar cf $RELEASE_NAME.tar $RELEASE_NAME
gzip $RELEASE_NAME.tar
rm -f -r $RELEASE_NAME
rm -f $RELEASE_NAME.tar

cd $ici
echo "version $OSNAME OK dans $RELEASE/lib/$OSNAME/$RELEASE_NAME"
